#
# spec file for package unscd (Version 0.45)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           unscd
Version:        0.45
Release:        0.2.1
Summary:        Alternative Name Service Caching Daemon
Group:          System/Daemons
License:        GPL
Url:            http://busybox.net/~vda/unscd/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      nscd
Obsoletes:      nscd < 2.10.1-6
Source0:        nscd-%version.c
Source1:        init.d
Source2:        nscd.conf
Source3:        COPYING
Source4:        usr.sbin.nscd
Patch0:         unscd-log-dcnt.diff
PreReq:         %insserv_prereq

%description
unscd caches application requests for resolving hostnames,
user and group names and other things, and can dramatically improve
performance e.g. when using NIS or LDAP or even when just caching
DNS requests.

This is an alternative to the glibc-supplied nscd that has been
designed to be much simpler and more robust, but has fewer features
and may have somewhat worse performance.

%prep
%setup -c -T
cp $RPM_SOURCE_DIR/nscd-%version.c .
%patch0 -p0

%build
cc $RPM_OPT_FLAGS -fpie -pie -o unscd nscd-%version.c

%install
install -m 0755 -D unscd $RPM_BUILD_ROOT/%_sbindir/nscd
install -m 0644 -D $RPM_SOURCE_DIR/nscd.conf $RPM_BUILD_ROOT/etc/nscd.conf
install -m 0644 -D $RPM_SOURCE_DIR/usr.sbin.nscd $RPM_BUILD_ROOT/etc/apparmor.d/usr.sbin.nscd
install -m 0755 -D $RPM_SOURCE_DIR/init.d $RPM_BUILD_ROOT/etc/init.d/nscd
ln -sf /etc/init.d/nscd $RPM_BUILD_ROOT/usr/sbin/rcnscd
mkdir -p $RPM_BUILD_ROOT/var/run/nscd
touch $RPM_BUILD_ROOT/var/run/nscd/{socket,nscd.pid}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal nscd

%post
%{insserv_force_if_yast nscd}

%postun
%restart_on_update nscd
%insserv_cleanup

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/nscd.conf
%dir %attr(0755,root,root) /etc/apparmor.d
%config /etc/apparmor.d/usr.sbin.nscd
%config /etc/init.d/nscd
%attr(0755,root,root) %_sbindir/*
%dir %attr(0755,root,root) /var/run/nscd
%attr(0644,root,root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) /var/run/nscd/nscd.pid
%attr(0666,root,root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace) /var/run/nscd/socket
%doc $RPM_SOURCE_DIR/COPYING

%changelog
* Tue Apr 27 2010 pbaudis@suse.cz
- Fix buggy debug level setup, causing most verbose logging possible
  with no possibility to turn it off [bnc#575736]
* Tue Jan 19 2010 pbaudis@suse.cz
- Update unscd from 0.43 to 0.45 [bnc#571551]
  * Fix out-of-bounds array access and log/pid file permissions
* Sat Nov 14 2009 pbaudis@suse.cz
- Run unscd as root instead of nobody user; nscd is used even by name
  resolutions done by root, so it is critical for system security
  already anyway, and this enables proper handling of some obscure
  NIS scenarios (e.g. passwd.adjunct) [bnc#540966]
* Fri Sep 18 2009 pbaudis@suse.cz
- Include usr.sbin.nscd in the sources section of the specfile
* Mon Sep  7 2009 pbaudis@suse.cz
- Provide the /etc/apparmor.d/usr.sbin.nscd file and make it allow
  for change to the nobody user [bnc#535467]
* Mon Sep  7 2009 pbaudis@suse.cz
- Mark this package as obsoleting nscd<2.10.1-6
* Thu Sep  3 2009 jnelson-suse@jamponi.net
- upgrade to 0.43 (which includes off-by-one fix)
* Thu Sep  3 2009 jnelson-suse@jamponi.net
- upgrade to 0.42 (and apply off-by-one error fix)
* Thu Sep  3 2009 jnelson-suse@jamponi.net
- fix off-by-one error in setgroups() [bnc#535467]
* Tue Aug  4 2009 coolo@novell.com
- prereq insserv
* Mon Jul 20 2009 pbaudis@suse.cz
- Remove exit 0 from %%postun section
* Fri Jul 17 2009 pbaudis@suse.cz
- Do not set Provides: nscd, rpm does not like that
* Mon Jul 13 2009 pbaudis@suse.cz
- Include COPYING in the installed package
* Tue Jun 23 2009 pbaudis@suse.cz
- Update from v0.39 to v0.41
  * Fix handling of some requests, experimental caching improvements
- Add COPYING file with full GPLv2 text
* Mon Jun 15 2009 pbaudis@suse.cz
- Update from v0.36 to v0.39
  * Mostly just logging improvements
* Mon Jun 15 2009 pbaudis@suse.cz
- Make the package conflict with nscd
- The executable name is now nscd; network scripts call `nscd -i`
- Fix linking to create a PIE
* Mon Jan 26 2009 pbaudis@suse.cz
- Initial package, slightly based on Jon Nelson's <jnelson@boa.org>
